Bug 1279024 - [abrt] caja: caja_file_is_in_trash(): caja killed by SIGABRT
[abrt] caja: caja_file_is_in_trash(): caja killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: caja (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:524688ff0198fc7e0d7c4e80d3a...
:
: 1194980 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 03:49 EST by Jonathan Beebe
Modified: 2016-12-20 10:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:28:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.84 KB, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details
File: core_backtrace (18.66 KB, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details
File: dso_list (10.93 KB, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details
File: environ (1.63 KB, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details
File: maps (57.21 KB, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details
File: mountinfo (3.48 KB, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details
File: open_fds (3.76 KB, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details
File: var_log_messages (281 bytes, text/plain)
2015-11-07 03:49 EST, Jonathan Beebe
no flags Details

  None (edit)
Description Jonathan Beebe 2015-11-07 03:49:27 EST
Description of problem:
I opened Caja, went to Edit > Preferences (click) and the crash occurred.

Version-Release number of selected component:
caja-1.10.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        caja
crash_function: caja_file_is_in_trash
executable:     /usr/bin/caja
global_pid:     6660
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 caja_file_is_in_trash at caja-file.c:7101
 #5 get_column_order at fm-list-view.c:1916
 #6 set_columns_settings_from_metadata_and_preferences at fm-list-view.c:1927
 #11 g_settings_real_change_event at gsettings.c:386
 #12 ffi_call_unix64 at ../src/x86/unix64.S:76
 #13 ffi_call at ../src/x86/ffi64.c:525
 #14 g_cclosure_marshal_generic_va at gclosure.c:1600
 #15 _g_closure_invoke_va at gclosure.c:864
 #18 settings_backend_changed at gsettings.c:446
 #19 g_settings_backend_invoke_closure at gsettingsbackend.c:267

Potential duplicate: bug 1194980
Comment 1 Jonathan Beebe 2015-11-07 03:49:37 EST
Created attachment 1090861 [details]
File: backtrace
Comment 2 Jonathan Beebe 2015-11-07 03:49:39 EST
Created attachment 1090862 [details]
File: cgroup
Comment 3 Jonathan Beebe 2015-11-07 03:49:42 EST
Created attachment 1090863 [details]
File: core_backtrace
Comment 4 Jonathan Beebe 2015-11-07 03:49:45 EST
Created attachment 1090864 [details]
File: dso_list
Comment 5 Jonathan Beebe 2015-11-07 03:49:46 EST
Created attachment 1090865 [details]
File: environ
Comment 6 Jonathan Beebe 2015-11-07 03:49:48 EST
Created attachment 1090866 [details]
File: limits
Comment 7 Jonathan Beebe 2015-11-07 03:49:52 EST
Created attachment 1090867 [details]
File: maps
Comment 8 Jonathan Beebe 2015-11-07 03:49:53 EST
Created attachment 1090868 [details]
File: mountinfo
Comment 9 Jonathan Beebe 2015-11-07 03:49:55 EST
Created attachment 1090869 [details]
File: open_fds
Comment 10 Jonathan Beebe 2015-11-07 03:49:57 EST
Created attachment 1090870 [details]
File: proc_pid_status
Comment 11 Jonathan Beebe 2015-11-07 03:49:58 EST
Created attachment 1090871 [details]
File: var_log_messages
Comment 12 Wolfgang Ulbrich 2015-11-08 07:49:09 EST
*** Bug 1194980 has been marked as a duplicate of this bug. ***
Comment 13 Glenn Holmer 2015-12-18 11:48:59 EST
Another user experienced a similar problem:

Changing visible columns in list view.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        caja
crash_function: caja_file_is_in_trash
executable:     /usr/bin/caja
global_pid:     1874
kernel:         4.2.7-300.fc23.x86_64
package:        caja-1.12.1-1.fc23
reason:         caja killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1002
Comment 14 Fedora End Of Life 2016-11-24 08:09:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:28:37 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.